# Class PumpObservationRepositoryTest

Namespace
  adas_core.Test.Repositories

Assembly
  adas-core.Test.dll

    [TestFixture]
    [Category("Integration")]
    public class PumpObservationRepositoryTest

Inheritance
  object
  PumpObservationRepositoryTest

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Methods

### AggregatedPatientLastObservations_DistinctByName()

    [Test]
    public Task AggregatedPatientLastObservations_DistinctByName()

#### Returns

Task

### AggregatedPatientLastObservations_RemovesDuplicatesByCodeAndName()

    [Test]
    public Task AggregatedPatientLastObservations_RemovesDuplicatesByCodeAndName()

#### Returns

Task

### DeleteByPatientId_Works()

    [Test]
    public Task DeleteByPatientId_Works()

#### Returns

Task

### DeleteKeepLastNAsync_Works()

    [Test]
    public Task DeleteKeepLastNAsync_Works()

#### Returns

Task

### DeleteOlderNumberAsync_DoesNothingWhenCountBelowLimit()

    [Test]
    public Task DeleteOlderNumberAsync_DoesNothingWhenCountBelowLimit()

#### Returns

Task

### DeleteOlderNumberAsync_Works()

    [Test]
    public Task DeleteOlderNumberAsync_Works()

#### Returns

Task

### DeleteOlderThanDaysAsync_DoesNotDeleteRecentObservations()

    [Test]
    public Task DeleteOlderThanDaysAsync_DoesNotDeleteRecentObservations()

#### Returns

Task

### DeleteOlderThanDaysAsync_Works()

    [Test]
    public Task DeleteOlderThanDaysAsync_Works()

#### Returns

Task

### FindAllLastPatientObservationTimeAsync_Works()

    [Test]
    public Task FindAllLastPatientObservationTimeAsync_Works()

#### Returns

Task

### FindByDeviceIdAsync_EmptyWhenOutOfDateRange()

    [Test]
    public Task FindByDeviceIdAsync_EmptyWhenOutOfDateRange()

#### Returns

Task

### FindByDeviceIdAsync_ReturnsOrdered()

    [Test]
    public Task FindByDeviceIdAsync_ReturnsOrdered()

#### Returns

Task

### FindByPatientAsync_RespectsLimit()

    [Test]
    public Task FindByPatientAsync_RespectsLimit()

#### Returns

Task

### FindByPatientAsync_ReturnsOrdered()

    [Test]
    public Task FindByPatientAsync_ReturnsOrdered()

#### Returns

Task

### FindByPatientId_Works()

    [Test]
    public Task FindByPatientId_Works()

#### Returns

Task

### FindLastByDeviceIdAsync_ReturnsNullWhenNotExists()

    [Test]
    public Task FindLastByDeviceIdAsync_ReturnsNullWhenNotExists()

#### Returns

Task

### FindLastByDeviceIdAsync_Works()

    [Test]
    public Task FindLastByDeviceIdAsync_Works()

#### Returns

Task

### FindLastObservations_ReturnsTwo()

    [Test]
    public Task FindLastObservations_ReturnsTwo()

#### Returns

Task

### Init()

    [OneTimeSetUp]
    public Task Init()

#### Returns

Task

### InsertAsync_Works()

    [Test]
    public Task InsertAsync_Works()

#### Returns

Task

### InsertManyAsync_IgnoresEmptyList()

    [Test]
    public Task InsertManyAsync_IgnoresEmptyList()

#### Returns

Task

### InsertManyAsync_Works()

    [Test]
    public Task InsertManyAsync_Works()

#### Returns

Task

### UpdateManyObjectIdByFieldAsync_Works()

    [Test]
    public Task UpdateManyObjectIdByFieldAsync_Works()

#### Returns

Task